Bug 970184 - IOError: [Errno 2] No such file or directory: '/mnt/sysimage/boot/extlinux/extlinux.conf' (extlinux is not in live images or the DVD)
IOError: [Errno 2] No such file or directory: '/mnt/sysimage/boot/extlinux/ex...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Miller
:
: 963697 975659 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 11:54 EDT by Chris Murphy
Modified: 2015-05-25 07:15 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 15:23:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (530.91 KB, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: anaconda.log (10.25 KB, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: backtrace (1.00 KB, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: environ (769 bytes, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: ifcfg.log (490 bytes, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: lsblk_output (2.67 KB, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: messages (207.30 KB, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: nmcli_dev_list (3.28 KB, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: packaging.log (201 bytes, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: program.log (50.75 KB, text/plain)
2013-06-03 11:54 EDT, Chris Murphy
no flags Details
File: storage.log (221.58 KB, text/plain)
2013-06-03 11:55 EDT, Chris Murphy
no flags Details

  None (edit)
Description Chris Murphy 2013-06-03 11:54:15 EDT
Description of problem:
Booted with extlinux parameter, standard partitioning scheme. Crash when installing bootloader.
The following was filed automatically by anaconda:
anaconda 19.30-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 915, in write_config
    config = open(config_path, "w")
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2187, in write_config
    super(EXTLINUX, self).write_config()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 945, in write
    self.write_config()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2339, in writeBootLoader
    storage.bootloader.write()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 166, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
IOError: [Errno 2] No such file or directory: '/mnt/sysimage/boot/extlinux/extlinux.conf'

Version-Release number of selected component:
anaconda-19.30-1.fc19.x86_64

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-Live-Desktop-x86_64-19-Be rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0 extlinux BOOT_IMAGE=vmlinuz0 
core_backtrace: 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
other involved packages: python-libs-2.7.4-4.fc19.x86_64
product:        Fedora
release:        Fedora release 19 (Schrödinger’s Cat)
type:           anaconda
version:        19

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 166, in doInstall
    writeBootLoader(storage, payload, instClass, ksdata)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2339, in writeBootLoader
    storage.bootloader.write()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 945, in write
    self.write_config()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 2187, in write_config
    super(EXTLINUX, self).write_config()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 915, in write_config
    config = open(config_path, "w")
IOError: [Errno 2] No such file or directory: '/mnt/sysimage/boot/extlinux/extlinux.conf'
Comment 1 Chris Murphy 2013-06-03 11:54:23 EDT
Created attachment 756380 [details]
File: anaconda-tb
Comment 2 Chris Murphy 2013-06-03 11:54:26 EDT
Created attachment 756381 [details]
File: anaconda.log
Comment 3 Chris Murphy 2013-06-03 11:54:30 EDT
Created attachment 756382 [details]
File: backtrace
Comment 4 Chris Murphy 2013-06-03 11:54:34 EDT
Created attachment 756383 [details]
File: environ
Comment 5 Chris Murphy 2013-06-03 11:54:37 EDT
Created attachment 756384 [details]
File: ifcfg.log
Comment 6 Chris Murphy 2013-06-03 11:54:41 EDT
Created attachment 756385 [details]
File: lsblk_output
Comment 7 Chris Murphy 2013-06-03 11:54:45 EDT
Created attachment 756386 [details]
File: messages
Comment 8 Chris Murphy 2013-06-03 11:54:49 EDT
Created attachment 756387 [details]
File: nmcli_dev_list
Comment 9 Chris Murphy 2013-06-03 11:54:52 EDT
Created attachment 756388 [details]
File: packaging.log
Comment 10 Chris Murphy 2013-06-03 11:54:57 EDT
Created attachment 756389 [details]
File: program.log
Comment 11 Chris Murphy 2013-06-03 11:55:01 EDT
Created attachment 756390 [details]
File: storage.log
Comment 12 Adam Williamson 2013-06-03 19:44:55 EDT
The logs indicate this was a live image install, so I'm pretty sure I know what the cause was: the extlinux package just isn't on the lives, or the DVD, so the installed system doesn't have any extlinux for anaconda to try and configure. This ties in with the actual error, which is that the extlinux config file doesn't exist in the installed system root.

I already added extlinux to the 'anaconda-tools' comps group for F20, but I was hesitant to do so for F19 because we're very very close to the size limits for the desktop live and, to a lesser extent, the DVD. It's a close call whether we add it for F19 so this mostly-undocumented easter egg feature works for cases other than netinsts (but worry about going oversize again), or just leave it for F20 and live with the feature only working for netinsts.
Comment 13 Matthew Miller 2013-06-03 22:16:46 EDT
(In reply to Adam Williamson from comment #12)
> feature works for cases other than netinsts (but worry about going oversize
> again), or just leave it for F20 and live with the feature only working for
> netinsts.

By the original feature, the plan is basically "can one compose appliance/live images which use this", and fitting it on the DVD shouldn't be a blocker. If we can, great.

We should add text about this to the release notes part about extlinux, though.
Comment 14 Chris Murphy 2013-06-19 01:16:28 EDT
*** Bug 975659 has been marked as a duplicate of this bug. ***
Comment 15 Adam Williamson 2013-07-03 15:16:17 EDT
should probably note this in commonbugs.
Comment 16 Matthew Miller 2013-07-08 10:51:45 EDT
*** Bug 963697 has been marked as a duplicate of this bug. ***
Comment 17 Ian Pilcher 2013-07-09 11:40:51 EDT
Attempt to install with extlinux (syslinux).

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20i386 quiet extlinux BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.i686
package:        anaconda-19.30.13-1
product:        Fedora
reason:         NoSuchPackage: syslinux-extlinux
release:        Cannot get release name.
version:        19
Comment 18 Chris Murphy 2013-10-11 11:31:19 EDT
Worksforme F20 beta TC2.
Comment 19 Kapochek 2013-12-13 23:14:46 EST
This has happened to me 4 times on this server, and twice on another similar unit - drives and total memory were the main differences. Just trying to do a standard Amahi 7.1 install, changed only the time zone and network settings (only to stop DHCP and set IP adds). the install began, and during the time I was setting my passwords and first user, the install was stopped with this error. I even tried not making the network changes and even passwords, but still the same outcome. I ran the 'check media then install' to see if an error came up, to no avail. I'm still relearning linux, having put it aside right around when the 2.0 kernel was released, so this has me stumped!

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Amahi\x207.1\x20x86_64 ks=file:///amahi.ks quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.10.5-201.fc19.x86_64
package:        anaconda-19.30.13-1
product:        Amahi
reason:         NoSuchPackage: dmraid
release:        Cannot get release name.
version:        7.1
Comment 20 Matthew Miller 2014-07-23 10:51:01 EDT
(In reply to Kapochek from comment #19)
> cmdline:        /usr/bin/python  /sbin/anaconda
> cmdline_file:   initrd=initrd.img
> inst.stage2=hd:LABEL=Amahi\x207.1\x20x86_64 ks=file:///amahi.ks quiet
> BOOT_IMAGE=vmlinuz 
> hashmarkername: anaconda
> kernel:         3.10.5-201.fc19.x86_64
> package:        anaconda-19.30.13-1
> product:        Amahi
> reason:         NoSuchPackage: dmraid
> release:        Cannot get release name.
> version:        7.1

This is a different issue unrelated to this problem.
Comment 21 bbb13 2014-07-24 02:30:34 EDT
(In reply to Kapochek from comment #19)
> This has happened to me 4 times on this server, and twice on another similar
> unit - drives and total memory were the main differences. Just trying to do
> a standard Amahi 7.1 install, changed only the time zone and network
> settings (only to stop DHCP and set IP adds). the install began, and during
> the time I was setting my passwords and first user, the install was stopped
> with this error. I even tried not making the network changes and even
> passwords, but still the same outcome. I ran the 'check media then install'
> to see if an error came up, to no avail. I'm still relearning linux, having
> put it aside right around when the 2.0 kernel was released, so this has me
> stumped!
> 
> cmdline:        /usr/bin/python  /sbin/anaconda
> cmdline_file:   initrd=initrd.img
> inst.stage2=hd:LABEL=Amahi\x207.1\x20x86_64 ks=file:///amahi.ks quiet
> BOOT_IMAGE=vmlinuz 
> hashmarkername: anaconda
> kernel:         3.10.5-201.fc19.x86_64
> package:        anaconda-19.30.13-1
> product:        Amahi
> reason:         NoSuchPackage: dmraid
> release:        Cannot get release name.
> version:        7.1

i had the same problem with amahi and bugzilla produced my error as duplicate with this one. do you by any chance trying to install amahi with express cd in a raid setup?
Comment 22 Fedora End Of Life 2015-01-09 13:18:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Adam Williamson 2015-01-09 15:23:11 EST
Obviously can't be changed for 19, and was fixed for 20+. Clearing hash so we don't get any more incorrect dupes (hopefully).

Note You need to log in before you can comment on or make changes to this bug.